Good day
I am upgrading IDM from 4.0.2 to 4.5.5 .
I am getting below error when installing the Userapplication running on tomcat and postgresql 9.3
.
2017-09-27 16:38:02 SAST ERROR: insert or update on table "securitypermissions" violates foreign key constraint "fk_perms_accessrts"
2017-09-27 16:38:02 SAST DETAIL: Key (permissioniid)=(MyOrgChartAclRead) is not present in table "securityaccessrights".
2017-09-27 16:38:02 SAST STATEMENT: INSERT INTO public.SECURITYPERMISSIONS (IID, PERMISSIONIID, PRINCIPALNAME, PRINCIPALTYPE, VERSION) VALUES ('8120789034ad4aed876c54893be35b6d', 'MyOrgChartAclRead', 'LDAPRealm\\ou=idmsample,o=novell', 'C', 0)
2017-09-27 16:42:32 SAST ERROR: insert or update on table "securitypermissions" violates foreign key constraint "fk_perms_accessrts"
2017-09-27 16:42:32 SAST DETAIL: Key (permissioniid)=(PwdSyncStatusAclRead) is not present in table "securityaccessrights".
2017-09-27 16:42:32 SAST STATEMENT: INSERT INTO public.SECURITYPERMISSIONS (IID, PERMISSIONIID, PRINCIPALNAME, PRINCIPALTYPE, VERSION) VALUES ('6076cad7ec8941f28c6f09468e3dd007', 'PwdSyncStatusAclRead', 'LDAPRealm\ou=idmsample,o=novell', 'C', 0)